summaryrefslogtreecommitdiffstats
path: root/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
commitaf120ab348f2e1a5a39dec035ed9dcf84189a64e (patch)
tree2a3aadd7ce1b7b771dfe3fe7c983569726c8d7ed /zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
downloaddotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.gz
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.bz2
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.zip
dotfiles
Diffstat (limited to 'zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh')
-rw-r--r--zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh15
1 files changed, 15 insertions, 0 deletions
diff --git a/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh b/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
new file mode 100644
index 0000000..af0a212
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
@@ -0,0 +1,15 @@
+# Only compatible with MacOS
+[[ "$OSTYPE" == darwin* ]] || return
+
+droplr() {
+ if [[ $# -eq 0 ]]; then
+ echo You need to specify a parameter. >&2
+ return 1
+ fi
+
+ if [[ "$1" =~ ^https?:// ]]; then
+ osascript -e 'tell app "Droplr" to shorten "'"$1"'"'
+ else
+ open -ga /Applications/Droplr.app "$1"
+ fi
+}